For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search printers

Search printers

post
/tenants/{tenantUid}/printers/search
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring Ā· enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body
storeUidstringOptionalPattern: ^[A-Za-z0-9-_]*
printerTypestring Ā· enumOptionalPossible values:
querystringOptional

Partial or full printer name search

Responses
200

Example response

application/json
post/tenants/{tenantUid}/printers/search
POST /v2/tenants/{tenantUid}/printers/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 56

{
  "storeUid": "text",
  "printerType": "LABEL",
  "query": "text"
}
200

Example response

{
  "items": [
    {
      "printerUid": "text",
      "deviceUids": [
        "text"
      ],
      "storeUid": "text",
      "name": "text",
      "description": "text",
      "type": "LABEL",
      "path": "text",
      "settings": [
        {
          "key": "text",
          "value": "text",
          "type": "STRING",
          "allowedValues": [
            "text"
          ],
          "validationRegex": "text",
          "name": "text",
          "required": true
        }
      ],
      "availablePrintActions": [
        "RECEIPT"
      ],
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?